Bug 403441 (CVE-2007-5497) - CVE-2007-5497 e2fsprogs multiple integer overflows
Summary: CVE-2007-5497 e2fsprogs multiple integer overflows
Status: CLOSED ERRATA
Alias: CVE-2007-5497
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,source=vendorsec,repo...
Keywords: Security
Depends On: 414561 414571 414581 414591 414601 414611 414621 414631 414641 414651
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-11-28 20:16 UTC by Josh Bressers
Modified: 2016-03-04 10:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 10:08:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed upstream patch (10.56 KB, patch)
2007-11-28 20:30 UTC, Josh Bressers
no flags Details | Diff
Final upstream patch (11.68 KB, patch)
2007-12-07 07:54 UTC, Tomas Hoger
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2008:0003 normal SHIPPED_LIVE Moderate: e2fsprogs security update 2008-01-07 18:57:42 UTC

Description Josh Bressers 2007-11-28 20:16:27 UTC
Rafal Wojtczuk of McAfee AVERT Research discovered multiple integer overflows in
e2fsprogs.  These flaws could result in the execution of arbitrary code if a
program using libext2fs (e2fsck, dumpe2fs, pygrub) is used to process a
malicious filesystem.

Under normal conditions this practice is not common.  The most plausible attack
would be to leverage this flaw in a virtualized environment to gain access to dom0.

Acknowledgements:

Red Hat would like to thank Rafal Wojtczuk of McAfee Avert Research for responsibly disclosing these issues.

Comment 1 Josh Bressers 2007-11-28 20:30:53 UTC
Created attachment 271731 [details]
Proposed upstream patch

Comment 6 Tomas Hoger 2007-12-07 07:54:01 UTC
Created attachment 280781 [details]
Final upstream patch


Note You need to log in before you can comment on or make changes to this bug.